Parameter must be an array or an object that implements Countable
Closed, ResolvedPublic

Description

Warning: count(): Parameter must be an array or an object that implements Countable in mediawiki/extensions/PageForms/includes/forminputs/PF_TextWithAutocompleteInput.php on line 145

In PHP7.2 null isn't countable any more.

Samwilson created this task.Nov 4 2018, 8:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2018, 8:37 AM

Change 471535 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageForms@master] Return empty array for autocomplete values with no source

https://gerrit.wikimedia.org/r/471535

CCicalese_WMF moved this task from Backlog to Other on the PHP 7.2 support board.Nov 6 2018, 4:08 AM

Change 471535 merged by jenkins-bot:
[mediawiki/extensions/PageForms@master] Return empty array for autocomplete values with no source

https://gerrit.wikimedia.org/r/471535

Yaron_Koren closed this task as Resolved.Nov 21 2018, 2:33 AM
Yaron_Koren claimed this task.
Yaron_Koren added a subscriber: Yaron_Koren.

Thanks for the patch, and sorry for the delay!

No worries! :) Thanks.